ArcGSI Enterprise / Portal / Raster Analytics - Faile to open raster dataset

525
2
05-26-2021 05:52 AM
jonathanharte
New Contributor III

Hi Guys, 

I'm going around in circles and I've been unable to resolve this issue . so if you have any ideas or can help I'd really appreciate it.

I have a 10.8.1 Enterprise  .. Hosting server, Image Hosting Server, Raster Analytics Server, Geo Analytics on windows 2019.  

What I can do..

I can do all the normal functiosn of a portal users, add, create items, publish etc..

I can create imagery layer and host etc. (image hosting server)

I can do some raster analtics tasks - Interpolate Points to raster and Density etc... (raster anlyytics server and output hosted on my image server)

 

What I cannot do ..

I cannot use any of the raster analytics tools on existing hosted images, and depending on whay I'm doing I get slightly different error in the logs ..  an examplel of this is clip a raster , I add the raster to the webmap access the raster analytics tool and choose clip and run with the correct parameters (or in teh log case below ist a raster reclass).. after a minute or so it returns esrijobdid .. failed.  In the  logs on debug mode I see in this case a SEVERE error early on in the  processing ... 

Error executing tool. GenerateRaster Job ID: jcddc7d128392418893fc93bfcb723958 : {"messageCode": "RA_120200", "message": "Underlying Geoprocessing tool failed."} (less) E:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\bin\Python\envs\arcgispro-py3\Lib\site-packages\urllib3\connectionpool.py:1004: InsecureRequestWarning: Unverified HTTPS request is being made to host 'localhost'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings InsecureRequestWarning, Traceback (most recent call last): File "E:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\Resources\ArcToolBox\Services\Scripts\GenerateRaster.py", line 149, in inrft, outras, funcargs, rasprops, format="CRF", process_as_multidimensional=asmd) File "e:\program files\arcgis\server\framework\runtime\arcgis\Resources\arcpy\arcpy\management.py", line 17170, in GenerateRasterFromRasterFunction raise e File "e:\program files\arcgis\server\framework\runtime\arcgis\Resources\arcpy\arcpy\management.py", line 17167, in GenerateRasterFromRasterFunction retval = convertArcObjectToPythonObject(gp.GenerateRasterFromRasterFunction_management(*gp_fixargs((raster_function, out_raster_dataset, raster_function_arguments, raster_properties, format, process_as_multidimensional), True))) File "e:\program files\arcgis\server\framework\runtime\arcgis\Resources\arcpy\arcpy\geoprocessing\_base.py", line 511, in return lambda *args: val(*gp_fixargs(args, True)) arcgisscripting.ExecuteError: ERROR 160180: The junction has invalid geometry (i.e., non-point or invalid location). Parameter 'Raster' is missing or invalid. Bind failed in function 'Remap Function' [Remap Function]. Failed to open raster dataset [{"url": "https://<MY PUBLIC ADDRESS>/imagehost/rest/services/Hosted/WEDAED_Prediction/ImageServer?token=_qKhDxrjkpDau7wt_fgX6nc4bFCDEbqOR3k9jfv7M4FuqhmdKjkLb7LedozDiydap1Vk3V375sSeyg0RAgMqMXrNq4v5RA73dllqaRbUEO0kt-x99GQqcF7HuqQuD6nh5XTRheQJd_lP-BMvi9FOfbI0y5TN1U3CC1gFGdiULaPOJUltaLMarNUAzP5RIuQTn_17fjhxwdL6w-CIIbccdDac0w-C3dQZf461lomy2g9ft3FONzfiVm5rqJKMht9RYcXUSaHwxRjOGw1fTaZKlA..", "name": "WEDAED_Prediction", "renderingRule": {"rasterFunction": "none"}}] The server took too long to answer. The client has timed out. (status code 28). Failed to execute (GenerateRasterFromRasterFunction). During handling of the above exception, another exception occurred: Traceback (most recent call last): File "E:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\Resources\ArcToolBox\Services\Scripts\GenerateRaster.py", line 206, in rasterutils.AddExecuteErrors(TASK_NAME, arcpy.GetMessages()) File "E:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\Resources\ArcToolBox\Services\Scripts\rasterutils.py", line 4159, in AddExecuteErrors if code not in errorCodes: TypeError: 'in ' requires string as left operand, not int Failed to execute (GenerateRaster).

 

My enterprise hosting server, image server and raster anlaytics server have a proxy address set and a no proxy for certain addresses....    So I'm uncertain of how to proceed to diagnose the root  of my problem.  Any advice is hugely appreciated...

 

Tags (2)
0 Kudos
2 Replies
mofree
by
New Contributor II

did you ever resolve this issue? I am facing the same problem.

0 Kudos
jonathanharte
New Contributor III

No .. still have the issue,   just revisiting it now

0 Kudos